package com.chenyang.druid.sql.ast.statement;

import com.chenyang.druid.sql.ast.SQLExpr;
import com.chenyang.druid.sql.ast.SQLObjectImpl;
import com.chenyang.druid.sql.visitor.SQLASTVisitor;

public class SQLAlterTableCoalescePartition extends SQLObjectImpl implements SQLAlterTableItem {
   private SQLExpr count;

   public SQLExpr getCount() {
      return this.count;
   }

   public void setCount(SQLExpr count) {
      if (count != null) {
         count.setParent(this);
      }

      this.count = count;
   }

   protected void accept0(SQLASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.count);
      }

      visitor.endVisit(this);
   }
}
